Loading...
Searching...
No Matches
Catch::Clara::Detail::ComposableParserImpl< DerivedT > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::ComposableParserImpl< DerivedT >:
[legend]
Collaboration diagram for Catch::Clara::Detail::ComposableParserImpl< DerivedT >:
[legend]

## Public Member Functions

template<typename T>
auto | operator| (T const &other) const -> Parser
template<typename T>
Parser | operator| (T const &other) const
Public Member Functions inherited from Catch::Clara::Detail::ParserBase
virtual | ~ParserBase ()=default
virtual auto | validate () const -> Result
virtual auto | parse (std::string const &exeName, TokenStream tokens) const -> InternalParseResult=0
virtual size_t | cardinality () const
InternalParseResult | parse (Args const &args) const

## Member Function Documentation

## operator|() [1/2]

template<typename DerivedT>
template<typename T>

Parser Catch::Clara::Detail::ComposableParserImpl< DerivedT >::operator| | ( | T const & | other | ) | const

## operator|() [2/2]

template<typename DerivedT>
template<typename T>

auto Catch::Clara::Detail::ComposableParserImpl< DerivedT >::operator| | ( | T const & | other | ) | const -> Parser

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp